---
page_source: https://docs.juspay.io/paytm-gateway-configuration/docs/express-checkout/refresh-wallet
page_title: Refresh Wallet
---

## API Version: default


# Refresh Wallet



Refresh wallet API can be used to get the wallet with updated balance from wallet provider. This API is applicable only for **linked**  wallets.## Endpoints:
- Production: https://api.juspay.in/wallets/{wallet_id}

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X POST https://api.juspay.in/wallets/$wallet_id \
-u your_api_key: \
-d "command=refresh"
```

### Sample Response:

#### Response:
```json
{
  "id": "wlt_q23xzki3pazgtezo",
  "object": "wallet_account",
  "wallet": "MOBIKWIK",
  "token": "tok_winysteev9eftrwcv6me",
  "current_balance": 250,
  "linked": "true",
  "last_refreshed": "2016-08-02T08:07:52+0000"
}
```

## Body Parameters:
### Parameters:

#### command:
- Description: Send it as `refresh` to get the updated balances.
- Tags: string, Required
## API Responses:
### 200:

#### id:
- Description: wlt_q23xzki3pazgtezo
- Tags: string

#### object:
- Description: wallet_account
- Tags: string

#### wallet:
- Description: MOBIKWIK
- Tags: string

#### token:
- Description: tok_winysteev9eftrwcv6me
- Tags: string

#### current_balance:
- Tags: integer

#### linked:
- Description: true
- Tags: string

#### last_refreshed:
- Description: 2016-08-02T08:07:52+0000
- Tags: string
